::-webkit-scrollbar {
    width: 12px;
    height: 10px;
}
::-webkit-scrollbar-track {
    background-color: #fff;
}
::-webkit-scrollbar-thumb {
    background-color: #888;
    border: 2px solid #fff;
    border-radius: 8px;
}
::-webkit-scrollbar-thumb:hover {
    background-color: #555;
}
*::selection {
    background: #8bf;
}
div::-webkit-scrollbar-track {
    background-color: #f8f8f8;
}
div::-webkit-scrollbar-thumb {
    background-color: #aaa;
}
div::-webkit-scrollbar-thumb:hover {
    background-color: #777;
}

body {
    /*background-color: #f5f5f5*/;
    font-size: 17px;
    letter-spacing: 0.015em;
    -webkit-font-smoothing: antialiased;
    background: rgb(234,244,254);
    /*background: linear-gradient(10deg, rgba(234,244,254,1) 20%, rgba(233,220,255,1) 100%) no-repeat;*/
    
    /*background: linear-gradient(50deg, rgba(234,244,254,1) 20%, rgba(233,220,255,1) 100%);*/
    
    
    background: linear-gradient(60deg, rgb(234, 244, 252) 20%, rgb(233, 225, 255) 100%) fixed;
    
    /*background-color: rgb(234,244,254);
    background-size: 100vw 100vh;*/
    /*image-rendering: -webkit-optimize-contrast;*/
    
    /*background-position: 37.97vw calc(((300vw - 100vh)/2 - 85.77vw) * -1),37.97vw calc(((300vw - 100vh)/2 - 85.77vw) * -1),37.97vw calc(((300vw - 100vh)/2 - 85.77vw) * -1),-100vw calc(((300vw - 100vh)/2 - 154.56vw) * -1),-100vw calc(((300vw - 100vh)/2 - 154.56vw) * -1),-100vw calc(((300vw - 100vh)/2 - 154.56vw) * -1),13.34vw calc(((300vw - 100vh)/2 - 53.88vw) * -1),13.34vw calc(((300vw - 100vh)/2 - 53.88vw) * -1),13.34vw calc(((300vw - 100vh)/2 - 53.88vw) * -1),10.64vw calc(((300vw - 100vh)/2 - 17.19vw) * -1),10.64vw calc(((300vw - 100vh)/2 - 17.19vw) * -1),10.64vw calc(((300vw - 100vh)/2 - 17.19vw) * -1),-49vw calc(((300vw - 100vh)/2 - 41.1vw) * -1),-49vw calc(((300vw - 100vh)/2 - 41.1vw) * -1),-49vw calc(((300vw - 100vh)/2 - 41.1vw) * -1),-100vw calc(((300vw - 100vh)/2 - 78vw) * -1),-100vw calc(((300vw - 100vh)/2 - 78vw) * -1),-100vw calc(((300vw - 100vh)/2 - 78vw) * -1);
    background-image: radial-gradient(50% 50% at 50% 50%,rgba(160,51,255,.024) 0,rgba(160,51,255,0) 50%),radial-gradient(50% 50% at 50% 50%,rgba(160,51,255,.04) 0,rgba(160,51,255,0) 75%),radial-gradient(50% 50% at 50% 50%,rgba(160,51,255,.064) 0,rgba(160,51,255,0) 100%),radial-gradient(50% 50% at 50% 50%,rgba(24,119,242,.024) 0,rgba(24,119,242,0) 50%),radial-gradient(50% 50% at 50% 50%,rgba(24,119,242,.04) 0,rgba(24,119,242,0) 75%),radial-gradient(50% 50% at 50% 50%,rgba(24,119,242,.064) 0,rgba(24,119,242,0) 100%),radial-gradient(50% 50% at 50% 50%,rgba(255,108,92,.024) 0,rgba(255,108,92,0) 50%),radial-gradient(50% 50% at 50% 50%,rgba(255,108,92,.04) 0,rgba(255,108,92,0) 75%),radial-gradient(50% 50% at 50% 50%,rgba(255,108,92,.064) 0,rgba(255,108,92,0) 100%),radial-gradient(50% 50% at 50% 50%,rgba(245,206,51,.024) 0,rgba(245,206,51,0) 50%),radial-gradient(50% 50% at 50% 50%,rgba(245,206,51,.04) 0,rgba(245,206,51,0) 75%),radial-gradient(50% 50% at 50% 50%,rgba(245,206,51,.064) 0,rgba(245,206,51,0) 100%),radial-gradient(50% 50% at 50% 50%,rgba(37,211,102,.024) 0,rgba(37,211,102,0) 50%),radial-gradient(50% 50% at 50% 50%,rgba(37,211,102,.04) 0,rgba(37,211,102,0) 75%),radial-gradient(50% 50% at 50% 50%,rgba(37,211,102,.064) 0,rgba(37,211,102,0) 100%),radial-gradient(50% 50% at 50% 50%,rgba(24,119,242,.024) 0,rgba(24,119,242,0) 50%),radial-gradient(50% 50% at 50% 50%,rgba(24,119,242,.04) 0,rgba(24,119,242,0) 75%),radial-gradient(50% 50% at 50% 50%,rgba(24,119,242,.064) 0,rgba(24,119,242,0) 100%) !important;
    background-size: 156.45vw 99.03vw,156.45vw 99.03vw,156.45vw 99.03vw,226.86vw 145.44vw,226.86vw 145.44vw,226.86vw 145.44vw,171.96vw 110.31vw,171.96vw 110.31vw,171.96vw 110.31vw,130.29vw 83.58vw,130.29vw 83.58vw,130.29vw 83.58vw,198vw 126.9vw,198vw 126.9vw,198vw 126.9vw,300vw 192vw,300vw 192vw,300vw 192vw !important;
*/}
body.is-modal {
    background: #fff !important;
}
body.app {
    -khtml-user-select: none; 
    -moz-user-select: none; 
    -webkit-user-select: none; 
    user-select: none; 
    -webkit-touch-callout: none;
}

body,
select,
input,
textarea,
label.control-label {
    color: #000 !important;
}

h3 img {
    margin: -2px 8px 8px 0;
}

a {
    color: #0967b8;
}

button:focus,
a:focus,
input[type='button']:focus {
    outline: 1px dashed #999ca3 !important;
}

.upper, 
select.upper option {
    text-transform: uppercase;
}
.lower {
    text-transform: lowercase;
}
.star-required {
    color: #e34; 
    font-size: 18px;
}

.text-primary {
    color: #26b;
}
.text-success {
    color: #094;
}
.text-danger {
    color: #c34;
}
a.text-danger:hover {
    color: #d35;
}
.text-bold {
    font-weight: bold;
}
.text-underline {
    text-decoration: underline;
}
.text-left {
    text-align: left !important;
}
.text-right {
    text-align: right !important;
}
.text-muted {
    color: #575c67;
}

input::-ms-clear {
    display: none;
    height: 0;
    width: 0;
}

input[type="radio"], 
input[type="checkbox"] {
    cursor: pointer;
    margin: 3px;
    transform: scale(1.12);
}

@media (min-width: 768px) {
    /*body.blur .container-application {
        filter: blur(25px) saturate(2);
    }*/
    
    input[type="radio"], 
    input[type="checkbox"] {
        -moz-appearance: none;
        -webkit-appearance: none;
        -o-appearance: none;
        border: 1px solid #7c7c7c;
        height: 15px;
        width: 15px;
        border-radius: 2px;
        display: inline-block;
        vertical-align: top;
        padding: 0.5px 3.7px;
        text-align: center;
        outline: none !important;
        background: #fff;
        font-size: 10px;
        font-weight: bold;
    }
    input[type="radio"] {
        border-radius: 50%;
    } 
    
    input[type="radio"]:disabled, 
    input[type="checkbox"]:disabled {
        background: #eee;
        cursor: not-allowed !important;
    }
    input[type="radio"]:checked:disabled, 
    input[type="checkbox"]:checked:disabled {
        background: #bdbdbd;
        border-color: #b2b2b2;
        box-shadow: 0 0 0 1px #bbb;
    }
    
    input[type="radio"]:checked, 
    input[type="checkbox"]:checked {
        background: #04e;
        border-color: #04e;
        padding: 0;
    }
    input[type="radio"]:not(:checked):hover, 
    input[type="checkbox"]:not(:checked):hover {
        background: #f7f7f7;
        border-color: #fff;
        box-shadow: 0 0 0 1px #000;
    }
    input[type="radio"]:hover, 
    input[type="checkbox"]:hover {
        box-shadow: 0 0 0 1px #04e;
        border-color: #04e;
    }
    input[type="checkbox"]:checked::before {
        color: #fff;
        content: '\2714';
    }
    input[type="radio"]:checked::before {
        color: #fff;
        content: '\25CF';
        vertical-align: middle;
    }
}

@media (max-width: 768px) {
    .btnCloseModal {
        top: 30px !important;
        right: 10px !important;
        /*right: auto !important;*/
    }
    
    body:not(.is-modal) .container-padding {
        padding-left: 0 !important;
    }
    body:not(.is-modal) .container-application {
        padding: 0 !important;
        margin-bottom: 0 !important;
    }
    body:not(.is-modal) .container-application > .panel {
        margin-bottom: 0;
        border-radius: 0 !important;
    }
    
    .modal .modal-dialog {
        margin-bottom: 0;
    }
    .modal .modal-content {
        border-radius: 0;
    }
    
    .modal-menu h3 {
        margin-top: 45px;
    }
    body:not(.is-modal) .modal-menu {
        z-index: 999999 !important;
    }
    body:not(.is-modal) .modal-menu .modal-content {
        margin-left: 0 !important;
    }
    body.is-modal .bar-title {
        margin-top: 30px;
    }
    
    ::-webkit-scrollbar {
        width: 0;
        height: 7px;
    }
    
    .notify {
        width: 100% !important;
        margin-top: 0 !important;
        left: 0 !important;
    }
    
    #loading > .block {
        margin: 40px auto !important;
    }
    #loading > .block-secondary {
        display: none;
    }
    
    .bar-buttons {
        width: 100%;
        overflow-x: auto;
        white-space: nowrap;
    }
}

.logo {
    height: 57px;
    float: left;
}

body:not(.is-modal) .container-application {
    padding: 5px;
    max-width: 1600px;
    margin: 0 auto;
    margin-bottom: 20px;
    
}
body:not(.is-modal):not(.no-sidebar) .container-padding {
    padding-left: 76px;
}
body:not(.is-modal) .container-application > .panel {
    border: 0;
    border-radius: 8px;
    /*-webkit-border-bottom-right-radius: 10px;
    -webkit-border-bottom-left-radius: 10px;
    -moz-border-radius-bottomright: 10px;
    -moz-border-radius-bottomleft: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;*/
    box-shadow: none;
    padding-bottom: 30px;
    /*box-shadow: rgba(0, 0, 0, 0.3) 0px 15px 20px -15px;*/
}
body.is-modal .container-application > .panel {
    border: 0;
    border-radius: 0;
    margin-bottom: 0;
    padding-bottom: 30px;
    box-shadow: none;
}
.container-application > .panel > .panel-body {
    padding: 15px 25px 25px 25px;
}
.btnCloseModal {
    position: absolute;
    top: 10px;
    padding: 6px 15px !important;
    z-index: 999;
    -webkit-transition: background 0.2s ease-out 0.03s !important;
    -moz-transition: background 0.2s ease-out 0.03s !important;
    -o-transition: background 0.2s ease-out 0.03s !important;
    transition: background 0.2s ease-out 0.03s !important;
}
.btnCloseModal i {
    font-size: 22px !important;
}
.modal-dialog .btnCloseModal {
    right: 12px;
}

.sidebar {
    width: 77px;
    height: 100%;
    position: fixed;
    padding: 8px 0;
    text-align: center;
    z-index: 1040;
    border-right: 1px solid #cacdcd;
}
.sidebar-container {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    overflow-y: auto;
    overflow-x: hidden;
}
.sidebar-container::-webkit-scrollbar {
    width: 2px;
}
.sidebar-container::-webkit-scrollbar-thumb {
    border: 0;
    background: #ddd;
    border-radius: 5px;
}
.sidebar, .sidebar .btn {
    background: #dee1e1;
    transition: all 0.15s ease-in;
}
.sidebar:hover  {
    border-right: 1px solid #c2c5c5;
}
.sidebar:hover, .sidebar:hover .btn  {
    background: #d2d5d5 !important;
}
.sidebar .btn {
    padding: 8px 11px;
    margin: .34em 0;
    margin-bottom: 1.3px;
    font-size: 20px;
    border-radius: 15px;
    color: #000 !important;
}
.sidebar .btn.active {
    background: #b0b5b8 !important;
    color: #222 !important;
    transform: scale(1.2);
    box-shadow: none !important;
}
.sidebar .btn.actived {
    background: #eef1f1 !important;
    border: 1px solid #ced1d1;
    color: #000 !important;
    transform: scale(1.2);
    box-shadow: none !important;
}
.sidebar .btn:hover,
.sidebar .btn:active,
.sidebar .btn:focus {
    background: #05f !important;
    color: #fff !important;
    transform: scale(1.2);
    box-shadow: none !important;
}
.sidebar hr {
    margin: 8px 32px;
    border-top: 3px solid rgba(50, 50, 50, 0.15);
}
.sidebar .btn-lg .circle-marker {
    border-radius: 50%;
    background: #d47;
    width: 12px; 
    height: 12px;
    float: left;
    margin: -8px -14px;
}
.sidebar .btn:hover .fa-bell {
    -webkit-animation: badalo 0.8s ease-in-out;
    -webkit-animation-iteration-count: 1;
    animation: badalo 0.8s ease-in-out;
    animation-iteration-count: 1;
}
.sidebar .btn:hover .fa-cog {
    -webkit-animation: fa-spin .6s infinite ease-in-out;
    -webkit-animation-iteration-count: 1;
    animation: fa-spin .5s infinite ease-in-out;
    animation-iteration-count: 1;
}

@keyframes badalo {
    0% {
        transform: rotate(0deg);
    }
    7.5% {
        transform: rotate(25deg);
    }
    30% {
        transform: rotate(-25deg);
    }
    45% {
        transform: rotate(15deg);
    }
    58% {
        transform: rotate(-10deg);
    }
    70% {
        transform: rotate(5deg);
    }
    87.5% {
        transform: rotate(-2deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.bar-title {
    margin: 15px -20px;
    padding: 10px 20px;
    /*overflow-x: auto;
    white-space: nowrap;*/
}
.bar-title.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 10;
    background: #fff;
}
.bar-title a,
.bar-title button {
    margin-right: 2px;
}
.bar-buttons > a:not(.btn) {
    font-size: 15px;
    margin-left: 10px;
}
.bar-title .title.col-md-offset-2 {
    padding-left: 9px;
}
.bar-title .title {
    display: inline-block;
    font-weight: bold;
    font-size: 32px;
    vertical-align: middle;
    margin-right: 10px;
}
.bar-buttons {
    display: inline-block;
}
.bar-buttons:empty {
    display: none;
}
.bar-buttons .btn-primary-solid:first-child,
.bar-buttons .btn-danger-solid:first-child {
    margin-right: 5px;
    border-radius: 6px;
    padding: 16px 25px;
    font-size: 14px;
    letter-spacing: 0.06em;
    font-weight: bold;
    text-transform: uppercase;
}
.bar-buttons .btn-primary-solid:first-child {
    background: #05f;
}
.bar-buttons .btn-primary-solid:first-child:hover {
    background: #16f;
}

.cs-default {
    cursor: default !important;
}
.cs-pointer {
    cursor: pointer;
}
.cs-help {
    cursor: help;
}
.cs-wait {
    cursor: wait;
}

a[disabled] {
    pointer-events: none;
    cursor: not-allowed !important;
}

.input-group-addon {
    background: #f2f4f7;
    color: inherit;
    padding: 6px 8px;
}
.input-group-addon input[type="radio"] {
    vertical-align: middle;
    margin-top: -2px;
    transform: scale(1.1);
    margin-right: 1px;
}

.btn {
    overflow-wrap: break-word;
    word-wrap: break-word;
    letter-spacing: 0.015em;
}
.btn-xs {
    font-size: 13px;
}
.btn-rounded {
    -webkit-border-radius: 38px;
    -moz-border-radius: 38px;
    border-radius: 38px;
}
.btn-bordered {
    border: 1px solid #ccc;
}
.bar-title .btn-primary-solid:first-child i,
.bar-title .btn-danger-solid:first-child i {
    margin-right: 3px;
}

.btn-default-solid.danger {
    background: #f2e2f2;
}
.btn-default-solid.danger.btn-bordered {
    border: 1px solid #dcc8cb  !important;
}
.btn-default-solid.primary {
    background: /*#e5eafe*/ #dae5ff; /*#f3e9ff;*/
}
.btn-default-solid.success {
    background: /*#e2f2e2*/ #d2f0e0;
}
.btn-default-solid.warning {
    background: #fef7b8;
}

.btn-default {
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe0e0e0', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
    background-repeat: repeat-x;
    text-shadow: 0 1px 0 #fff;
    background-image: linear-gradient(to bottom, #fcfcfc 0%, #e2e2e2 100%);
    border-color: #bbb;
    color: #111;
    transition: 0.2s background-image, border ease;
}
.btn-default:hover,
.btn-default:focus {
    background-image: linear-gradient(to bottom, #fcfcfc 20%, #e2e2e2 100%);
    border-color: #999;
    color: #000;
}
.btn-primary {
    background-image: linear-gradient(to bottom, #537aba 0%, #365a98 100%);
    border-color: #46b;
}
.btn-success {
    background-image: linear-gradient(to bottom, #6cad5c 0%, #419041 100%);
    border-color: #494;
}
.btn-info {
    background-image: linear-gradient(to bottom, #50a0d2, #346ab3 100%);
    border-color: #68c !important;
}

/*.btn-default-solid,
.btn-primary-solid,
.btn-primary-light-solid,
.btn-danger-solid,
.btn-success-solid,
.btn-white-solid*/ .btn {
    transition: background 0.14s ease-in;
}

.btn-primary-solid {
    background: #04c;
    color: #fff;
}
.btn-primary-light-solid {
    background: #46b;
    color: #fff;
}
.btn-primary-light-solid:active,
.btn-primary-light-solid:focus,
.btn-primary-light-solid:hover,
.btn-primary-solid.active,
.btn-primary-solid:active,
.btn-primary-solid:focus,
.btn-primary-solid:hover {
    background: #15d;
    color: #fff;
}

.btn-danger-solid {
    background-color: #cc3340;
    color: #fff;
}
.btn-danger-solid.active,
.btn-danger-solid:active,
.btn-danger-solid:focus,
.btn-danger-solid:hover {
    background: #ba303a;
    color: #fff;
}

.btn-default-solid {
    background: #eaeaea/*#f4f4f4*/;
    color: #222;
}

.btn-default-solid:not([disabled]):focus,
.btn-default-solid:not([disabled]):hover {
    background: #c5c5c5;
    color: #000 !important;
}

.btn-white-solid {
    background: #fff;
    color: #111; /*333*/
}
.btn-white-solid:not([disabled]):focus,
.btn-white-solid:not([disabled]):hover {
    background: #cdcdcd;/*e5e6ed*/
    color: #000 !important;
}

.btn-sm {
    font-size: 14px;
}
.btn:not(.btn-sm)
    :not(.btn-xs)
    :not(.btn-md)
    :not(.btn-lg) {
    font-size: 15px;
}
.btn:not(.btn-sm):not(.btn-md):not(.btn-lg):not(.btn-xs) i.fa {
    font-size: 15px;
    margin-right: 1px;
}
/*.btn-sm i.fa {
    font-size: 15px;
}*/
.btn-lg {
    padding: 14px 16px;
    /*border-radius: 8px;*/
    font-size: 17px;
}
.btn-md {
    padding: 8px 14px;
    font-size: 15px;
}
.btn .img-circle {
    margin: -7px -13px;
    margin-right: 7px;
}
.btn.btn-sm .img-circle {
    margin: -5px -10px;
}
.btn .btn-toggle {
    display: none;
    margin-right: -3px;
    margin-left: 3px;
}
.btn:hover .btn-toggle:not([disabled]) {
    display: inline-block;
}

.btn-success-solid {
    background: #2b7;
    color: #fff;
}

.btn-success-solid:hover,
.btn-success-solid:active,
.btn-success-solid:focus {
    background: #10a052;
    color: #fff !important;
}

.btn-default.disabled,
.btn-default[disabled],
.btn-default.disabled:hover,
.btn-default[disabled]:hover,
.btn-default.disabled:focus,
.btn-default[disabled]:focus,
.btn-default.disabled.focus,
.btn-default[disabled].focus,
.btn-default.disabled:active,
.btn-default[disabled]:active,
.btn-default.disabled.active,
.btn-default[disabled].active {
    background-color: #e0e0e0;
    background-image: none;
}

.input-group-btn .btn-lg {
    padding: 11px; 
    font-size: 16px;
}
.input-group-btn .btn {
    padding: 11px 9px; 
    height: 42px;
}

select.form-control:not([disabled]) {
    cursor: pointer;
}
select.btn, input.btn {
    border: 0 !important;
    text-align: left;
}
input.btn {
    cursor: auto;
    padding-left: 15px;
    padding-right: 15px;
}

textarea:not(.resizable) {
    resize: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active  {
    -webkit-text-fill-color: #282d56;
    -webkit-box-shadow: 0 0 0px 1000px #000 inset;
}

input.input-lg:-webkit-autofill:first-line {
    font-size: 18px;
    font-weight: bold;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active,
.form-control {
    letter-spacing: .05em;
    border: 1px solid #b5b5b5;
    box-shadow: none;
    padding: 6px 8px;
    border-radius: 5px;
    outline: none !important;
    font-family: 'Font Awesome 6 Pro', 'FontAwesome', Arial;
}
.form-control::placeholder {
    text-transform: none;
}
.form-control:not(textarea) {
    font-weight: bold;
}

input:-webkit-autofill {
    -webkit-background-clip: text;
    background-clip: text;
}

.form-control:focus,
input:-webkit-autofill:focus, 
input:-webkit-autofill:active {
    border: 1px solid #38f;
    box-shadow: 0 0 0 2px #29f;
}

.form-control[readonly],
.form-control[disabled] {   
    background: #eee !important;
    cursor: not-allowed;
}
.help-block {
    margin-top: 5px;
    margin-bottom: 1px;
    color: #707070;
}
.options-group {
    margin-top: -2px;
    border-radius: 10px;
    transition: background 0.2s ease-in-out;
}
.options-group label:not(.btn) {
    cursor: pointer;
    margin: 6px 6px 6px 0;
}

.form-control:not(.input-lg) {  
    height: 42px;
    font-size: 17px;
}

.row {
    margin: 0;
}
.form-horizontal .form-group {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 22px;
}
.row .control-label,
.form-group .control-label {
    font-size: 17px;
    font-weight: normal;
}

.tooltip {
    z-index: 9999;
    filter: none !important;
    opacity: 100 !important;
}
.tooltip-inner {
    font-size: 15px;
    letter-spacing: 0.04em;
    border-radius: 0;
    padding: 5px 8px;
}
.tooltip.top    { margin-top: -7px; }
.tooltip.right  { margin-left: 7px; }
.tooltip.bottom { margin-top: 7px;   }
.tooltip.left   { margin-left: -7px; }

.tooltip.right .tooltip-arrow {
    left: 1px;
}
.tooltip.top .tooltip-arrow {
    bottom: 1px;
}
.tooltip.bottom .tooltip-arrow {
    top: 1px;
}

.label {
    padding: 4px 8px;
}
.label-light {
    background: #e5e5e5;
    color: #333;
}
.label-info {
    background: #68f;
}
.label-danger {
    background: #cc4460;
}
.label-success {
    background: #40b752;
}

.badge {
    font-size: 13px;
    background: #5b5b5b;
    border-radius: 12px;
}
.badge-light {
    padding: 6px 8px;
    background: #d8e1ea;
    color: #000 !important;
}
.badge-primary {
    background: #b5caff; 
    color: #000 !important; 
    padding: 6px 8px;
}
.badge-success {
    background: #b2e8c5; 
    color: #000 !important; 
    padding: 6px 8px;
}
.badge-danger {
    background: #e9c3c6;
    color: #000 !important; 
    padding: 6px 8px;
}
.badge-warning {
    background: #f5d9a8;;
    color: #000; 
    padding: 6px 8px;
}
.badge-info {
    background: #8df;;
    color: #000; 
    padding: 6px 8px;
}
.badge-warning.hover:hover,
.badge-warning.hover:focus,
.badge-warning.hover:active {
    background: #f7d3c1;
    color: #000; 
}

.nav-tabs {
    border-bottom: 1px solid #ddd;
    margin-top: 5px;
    margin-bottom: 20px;
    font-size: 16px;
}
.nav-tabs > li.active > a {
    color: #000 !important;
}
.nav-tabs > li {
    margin-right: 1px;
}
.nav-tabs > li > a {
    color: #666;
    -webkit-transition: all 0.1s ease-out 0.01s;
    -moz-transition: all 0.1s ease-out 0.01s;
    -o-transition: all 0.1s ease-out 0.01s;
    transition: all 0.1s ease-out 0.01s;
    padding: 12px 20px;
    border-radius: 5px 5px 0 0;
    line-height: 1.5;
    margin-right: 0;
}
.nav-tabs > li a:hover {
    color: #000 !important;
    background: #e2edfe;
    border: 1px solid #e2edfd;
}

.dropdown-menu {
    padding: 20px 25px !important;
    border: 0;
    border-radius: 8px;
    max-width: 380px;
    min-width: 290px;
    /*box-shadow: rgba(40, 40, 73, 0.55) 0px 10px 30px -10px;*/
    
    box-shadow: rgba(40, 40, 73, 0.75) 0px 10px 30px -10px;
}
.dropdown-menu i {
    margin-right: 10px !important;
}
.dropdown-menu .dropdown-header {
    margin-bottom: 5px;
}
.dropdown-menu li a {
    font-size: 16px !important;
    padding: 7px 30px !important;
    margin-top: 2px;
    white-space: normal !important;
    margin: 0 -25px;
}
.dropdown-menu .glyphicon {
    font-size: 17px;
}
.dropdown-menu .fa {
    font-size: 17px;
}
.dropdown-menu li a:hover {
    background: #d3e8fb !important;
}

.input-group-addon label {
    margin-bottom: 0;
    vertical-align: middle;
    margin-right: 0 !important;
}

sub {
    font-size: 12px;
}

hr {
    margin-top: 15px;
    margin-bottom: 10px;
}

input[type="password"],
.password {
    letter-spacing: 3px !important;
    text-security: disc;
    -webkit-text-security: disc;
    -moz-text-security: disc;
}

.animation-pulse {
    animation: pulse 0.95s infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
    -moz-osx-font-smoothing: antialiased;
}

.animation-6x {
    animation-play-state: running;
    animation-iteration-count: 6;
}
.animation-pulse:hover {
    animation: none;
}

@keyframes pulse {
    0% {
        /*background-color: #001F3F;*/  
        -webkit-font-smoothing: subpixel-antialiased;
        -moz-osx-font-smoothing: antialiased;
        transform: scale(1.0);
    }
    50% {
        -moz-osx-font-smoothing: antialiased;
        transform: scale(1.03);
    }
}

.animation-circle {
    animation: circle 2.5s ease-out infinite;
}
@keyframes circle {
    0% { 
        opacity: 0.75;
        transform: scale(.2);
    }
    to {
        opacity: 0;
        transform: scale(1.5);
    }
}

.ui-helper-hidden-accessible { 
    display: none; 
}
.ui-autocomplete {
    list-style: none;
    padding: 0;
    font-size: 18px !important;
    font-family: inherit !important;
    z-index: 999;
    color: inherit;
    position: absolute;
    overflow-y: scroll;
    max-height: 240px;
}
.ui-autocomplete li {
    padding: 1px 10px;
    cursor: pointer;
    border: 0;
}
.ui-autocomplete li.ui-state-focus,
.ui-autocomplete li:active,
.ui-autocomplete li:focus,
.ui-autocomplete li:hover {
    background: #33a !important;
    color: #fff !important;
    border: 0 !important;
}

#dialog .modal-footer {
    cursor: pointer; 

    text-align: center; 
    color: #fff; 
    font-size: 22px; 
    padding: 18px;
    -webkit-transition: background 200ms ease-out 0.06s;
    -moz-transition: background 200ms ease-out 0.06s;
    -o-transition: background 200ms ease-out 0.06s;
    transition: background 200ms ease-out 0.06s;
}
#dialog {
    padding-top: 25px;
}
#dialog .modal-dialog {
    box-shadow: rgba(0, 0, 0, 0.58) 0px 10px 40px -10px;
}
#dialog .modal-body {
    padding: 30px 50px;
    font-size: 20px;
}
#dialog.confirm .btnConfirm {
    background: #765;
}
#dialog.confirm .btnConfirm:hover {
    background: #3a6; 
}
#dialog.confirm .btnRefuse {
    background: #876;
}
#dialog.confirm .btnRefuse:hover {
    background: #e43; 
}
#dialog .btnConfirm,
#dialog .btnRefuse,
#dialog .btnOk {
    border: 0;
    letter-spacing: 0.03em;
}
#dialog.success .btnOk {
    background: #22a055;
}
#dialog.success .btnOk:hover {
    background: #3a6; 
}
#dialog.error .btnOk {
    background: #e32; 
}
#dialog.error .btnOk:hover {
    background: #e43; 
}

#loading {
    background: rgba(5, 10, 30, 0.07);
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 9999999;
}
#loading > .block {
    margin: 25px auto;
    margin-bottom: 10px;
    background: #fff;
    padding: 8px;
    width: 63px;
    height: 63px;
    border-radius: 50%;
}
#loading > .block-secondary {
    margin: 0 auto;
    color: #fff;
    width: 98px;
    border-radius: 8px; 
    padding: 8px 10px; 
    font-size: 12px;
    background: #000;
}
#loading sub {
    color: rgba(255, 255, 255, 0.8);
}
#loading svg {
    margin-right: 10px;
    float: left;
    -webkit-font-smoothing: antialiased;
}

.ui-datepicker {
    z-index: 1051 !important;
}

.modal.fade .modal-dialog {
    -webkit-transition: -webkit-transform 0.25s ease-out;
    -o-transition: -o-transform 0.25s ease-out;
    transition: transform 0.25s ease;
}
.modal.fade {
    transition: all 0s, z-index 0s;
}
.modal-backdrop.in {
    opacity: 0.25;
    background: #000;
}

.modal-menu .modal-dialog {
    margin: 0;
}
.modal-menu .modal-content {
    margin-left: 77px;    
    box-shadow: 10px 10px 50px -10px rgba(0, 10, 30, 0.5);
}
.modal-menu .modal-body {
    padding: 30px;
    padding-top: 5px;
    max-height: 100vh;
    overflow-y: auto;
}
.modal-menu h3 {
    padding: 6px 8px;
}

.modal-menu .btn-block .glyphicon {
    font-size: 17px;
    margin: 0 7px !important;
}
.modal-menu .btn-block .fa,
.modal-menu .btn-block .fal,
.modal-menu .btn-block .fad,
.modal-menu .btn-block .far {
    font-size: 19px;
    margin: 0 7px !important;
}
.modal-menu .btn-white-solid {
    font-size: 16px !important;
    transition: all 0.09s ease;
    margin: 0;
    padding: 8px 3px;
    text-align: left;
    white-space: normal;
    color: #000;
}
.modal-menu .btn-block.btn-white-solid:hover,
.modal-menu .btn-block.btn-white-solid.active {
    transform: scale(1.02) !important;
    background: #d4effd !important;
}
.modal-menu hr {
    margin: 3px 0;
    border-top: 1px solid #e5e5e5;
}
.modal-dialog {
    margin-top: 0;
    box-shadow: none;
    margin: 0 auto;
    margin-bottom: 15px;
    border-radius: 0;
}
.modal-content {
    box-shadow: none;
    border: 0;
    border-radius: 0 0 10px 10px;
}
.modal-body {
    padding: 20px;
}
#modal-iframe .modal-body {
    padding: 0;
}
.modal-body iframe {
    width: 100%;
    border: 0;
}
.modal-lg {
    width: 100%;
    max-width: 1220px;
}
.modal-md {
    width: 100%;
    max-width: 960px;
}
.modal-sm {
    width: 100%;
    max-width: 750px;
}
.modal-xs {
    width: 100%;
    max-width: 550px;
}
.modal-full {
    width: 100%;
}

.table {
    width: 100%;
    max-width: 100%;
    margin-bottom: 0;
    font-size: 16px;
}
.table tr.model {
    display: none;
}
.table.header-fixed {
    background: #fff;
    z-index: 3;
}
.table > thead {
    border-bottom: 3px solid #fff;
}
.table > thead > tr > th {
    font-size: 15px;
    text-transform: uppercase;
    vertical-align: middle;
    background: /*#f7f9fc*/#f5f7fa;
    height: 54px;
    padding: 6px;
    line-height: 1.42857143;
}
/*.table > tfoot > tr:not(:first-child) > td {
    border-top: 0;
}*/
.table/*:not(.not-hover)*/ tbody tr:hover td {
    background-color: #d3dadb !important;
    color: #000;
}
.table > tbody td {
    border-top: 3px solid #fff;
    vertical-align: middle !important;
    padding: 8px;
    line-height: 1.42857143;
}

.table td:first-child,
.table th:first-child { 
    border-top-left-radius: 7px; 
    border-bottom-left-radius: 7px;
}
.table td:last-child,
.table th:last-child { 
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px; 
}

.table-striped > tbody > tr:nth-child(odd) > td, 
.table-striped > tbody > tr:nth-child(odd) > th {
    background-color: #f8fafb /*#fafbfc*/;
}
.table-bordered > thead > tr > th, 
.table-bordered > tbody > tr > th, 
.table-bordered > tfoot > tr > th, 
.table-bordered > thead > tr > td,
.table-bordered > tbody > tr > td, 
.table-bordered > tfoot > tr > td {
    border: 1px solid #ccc;
}

.table > tbody > tr.success > td,
.table > tfoot > tr.success > td {
    background-color: #f7fcf5;
}
.table > tbody > tr.danger > td,
.table > tfoot > tr.danger > td {
    background-color: #fcf5ef;
}
.table > tbody > tr.warning > td,
.table > tfoot > tr.warning > td {
    background-color: #faf4ca;
}

.grid {
    margin-bottom: 10px !important;
}
.grid > tbody > tr {
    cursor: pointer;
}
.grid > tbody > tr.active > td {
    background: #bdd6ee !important;
}
.grid/*:not(.table-condensed)*/ > tbody > tr > td {
    padding: 8px 4px;
}
.grid > thead > tr > th.check-all {
    width: 39px; 
    min-width: 35px;
    text-align: center; 
    padding: 4px 0;
}

.notify {
    display: none; 
    position: fixed;
    text-align: left;
    min-width: 350px;
    margin-top: 15px;
    z-index: 9999;
    white-space: normal;
    padding: 45px 40px;
    color: #000;
    background: #fff;
    border-radius: 5px;
    transition: 0.25s box-shadow ease-in-out;
    box-shadow: #000 0px 10px 30px -15px;
}
.notify:hover {
    box-shadow: #000 0px 10px 30px -10px;
}
.notify .img-circle {
    margin: 7px 0; 
    margin-right: 22px; 
    position: absolute; 
    z-index: 1; 
    color: #fff; 
    background: #04e;
    width: 40px; 
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.notify .img-circle.animation-circle {
    z-index: 0; 
    padding: 5px;
    position: relative; 
}
.notify.black .img-circle {
    background: #000;
}
.notify.gray .img-circle {
    background: #555;
}
.notify.green .img-circle {
    background: #196;
}
.notify.red .img-circle {
    background: #b24;
}
.notify.yellow .img-circle {
    background: #f6a511;
}
.notify.orange .img-circle {
    background: #f68231;
}
.notify.dark-blue .img-circle {
    background: #138;
}